| hpc-0.5.0.5: Code Coverage Library for Haskell | Contents | Index

Trace.Hpc.Tix

Description
Datatypes and file-access routines for the tick data file used by HPC. (.tix)
Documentation
data Tix

Constructors

Tix [TixModule] |

Instances

Eq Tix
Read Tix
Show Tix

data TixModule

Constructors

TixModule String Hash Int [Integer] |

Instances

Eq TixModule
Read TixModule
Show TixModule

tixModuleName :: TixModule -> String
tixModuleHash :: TixModule -> Hash
tixModuleTixs :: TixModule -> [Integer]
readTix :: String -> IO (Maybe Tix)
writeTix :: String -> Tix -> IO ()
getTixFileName :: String -> String
Produced by Haddock version 2.6.1